Package org.apache.batchee.container.cdi

## Class BatchCDIInjectionExtension

- java.lang.Object
- - org.apache.batchee.container.cdi.BatchCDIInjectionExtension

- All Implemented Interfaces:
    `javax.enterprise.inject.spi.Extension`

      public class BatchCDIInjectionExtension
      extends Object
      implements javax.enterprise.inject.spi.Extension

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BatchCDIInjectionExtension()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `cleanupFinalBeanManagers​(javax.enterprise.inject.spi.AfterDeploymentValidation adv)` |
    `void` | `cleanupStoredBeanManagerOnShutdown​(javax.enterprise.inject.spi.BeforeShutdown beforeShutdown)` |
    `javax.enterprise.inject.spi.BeanManager` | `getBeanManager()` |
    `static BatchCDIInjectionExtension` | `getInstance()` |
    `void` | `setBeanManager​(javax.enterprise.inject.spi.AfterBeanDiscovery afterBeanDiscovery, javax.enterprise.inject.spi.BeanManager beanManager)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BatchCDIInjectionExtension

          public BatchCDIInjectionExtension()

  - ### Method Detail

    - #### setBeanManager

          public void setBeanManager​(@Observes
                                     javax.enterprise.inject.spi.AfterBeanDiscovery afterBeanDiscovery,
                                     javax.enterprise.inject.spi.BeanManager beanManager)

    - #### cleanupFinalBeanManagers

          public void cleanupFinalBeanManagers​(@Observes
                                               javax.enterprise.inject.spi.AfterDeploymentValidation adv)

    - #### cleanupStoredBeanManagerOnShutdown

          public void cleanupStoredBeanManagerOnShutdown​(@Observes
                                                         javax.enterprise.inject.spi.BeforeShutdown beforeShutdown)

    - #### getInstance

          public static BatchCDIInjectionExtension getInstance()

    - #### getBeanManager

          public javax.enterprise.inject.spi.BeanManager getBeanManager()